Bug Hunting Session
Bug 101949 - Outdated Source Code Pro fonts
Summary: Outdated Source Code Pro fonts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-06 21:39 UTC by Josh Kelley
Modified: 2016-09-11 19:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Josh Kelley 2016-09-06 21:39:11 UTC
The SourceCodePro_Bold.ttf and SourceCodePro_Regular.ttf fonts bundled with LibreOffice 5.2.0.4 for Windows are out of date and are unconditionally installed, so when I install or upgrade LibreOffice, ampersand displays as corrupted (see https://github.com/adobe-fonts/source-code-pro/issues/118) until I re-download and reinstall the latest fonts from https://github.com/adobe-fonts/source-code-pro/releases.
Comment 1 JoNi 2016-09-07 09:11:01 UTC
confirmed.
bundled Source Code Pro Regular and Bold are version 1.009. ampersand was fixed in version 1.010. latest version is 2.030 with lost of new variances: ExtraLight, Light, Medium, SemiBold, Black, plus Italics for each one.

Source Sans Pro are version 2.010 (latest 2.030) and have ampersand fix.
Comment 2 Julien Nabet 2016-09-10 21:36:01 UTC
Andras: noticing your patch to update DejaVu fonts, thought you might be interested in this one.
Comment 3 Commit Notification 2016-09-11 13:42:27 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=956db071966dd9a7319503118c28de58015e0fca

tdf#101949 update Source Code Pro fonts to 2.030 and 1.050

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-09-11 18:53:26 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=93725af2265d1171bcad27d69db11934b2ae6de5&h=libreoffice-5-2

tdf#101949 update Source Code Pro fonts to 2.030 and 1.050

It will be available in 5.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2016-09-11 19:00:12 UTC
Thank you Andras for your very quick patch about it! :-)